LILO(8)

NAZWA
lilo - instaluje program rozruchowy LiLO

SKŁADNIA
Podstawowe zastosowanie:

lilo

Dodatkowe zastosowania:

lilo -A # activate/show active partition

lilo -E # edit header or update a bitmap file

lilo -I # inquire path name of current kernel

lilo -M # write a Master Boot Loader on a device

lilo -q # query map and show its content

lilo -R # set default command line for next reboot

lilo -T # tell more about specified topic

lilo {-u|-U} # uninstall LiLO boot loader

OPIS
lilo instaluje program rozruchowy, który zostanie uaktywniony przy następnym uruchomieniu komputera. Domyślny plik konfiguracyjny /etc/lilo.conf (zob. lilo.conf(5)) zawiera większość opcji, lecz wiele, w tych te, które przesłaniają plik konfiguracyjny, może zostać podanych w wierszu polecenia.

OPCJE

-A główne-urządzenie [ N ]
    Used with a single argument, inquire of active partition on device master-device; e.g. /dev/sda. With N==0: deactivate all partitions on the device. With N in the range [1..n]: activate the specified partition and deactivate all others. Normally, only primary partitions [1..4] may be activated, but if the 'Extended Master Boot Loader' is present on the Master Boot Record (MBR) of the device (see the -M option), any partition may be made active. Whether the actual OS in the partition will boot from a logical partition depends on the characteristics of the OS. LILO boot records for Linux may be booted from a logical partition.

-b urządzenie-rozruchowe
    Ustala urządzenie rozruchowe gdzie program rozruchowy będzie zainstalowany. Na przyjład "-b /dev/sda" ustala główny sektor rozruchowy (MBR) na pierwszym dysku jako urządzenie rozruchowe; "-b /dev/sdb5" jako urządzenie rozruchowe ustala pierwszą partycję logiczną na drugim dysku.

-B plik-mapy-bitowej
    Określa plik mapy bitowej z graficznym ekranem wykorzystywanym w czasie uruchamiania systemu, najlepiej przygotowanym wcześniej za pomocą opcji -E.

-c  Włącza kompresję mapy. Ta opcja połączy żądania odczytu z sąsiednich sektorów. Przyspiesza to startowanie (szczególnie z dyskietki).

-C plik-konfiguracyjny
    Ustawia inną ścieżkę i nazwę pliku konfiguracyjnego. Domyślna to /etc/lilo.conf.

-d opóźnienie
    Ustala opóźnienie w dziesiętnych częściach sekundy ("20" = 2 sek.) przed automatycznym uruchomieniem pierwszego obrazu. To daje czas na przerwanie automatycznego procesu startu klawiszem Shift, Alt, Ctrl, ScrollLock lub CapsLock. Po takim przerwaniu wyświetlona zostanie zachęta boot:.

    Ten przełącznik zostanie przesłonięty jeśli w pliku konfiguracyjnym pojawi się prompt.

-D etykieta
    Używa jądra o podanej etykiecie, jako domyślnego jądra do wystartowania, zamiast pierwszego z listy w pliku konfiguracyjnym.

-E nazwa_pliku.roz
    Gdy .roz to .bmp, zakłada się, że plik ten jest plikiem graficznym do użycia w konfiguracyjnej dyrektywie bitmap=. Proszę uruchomić interaktywny edytor aby utworzyć lub zmienić kolor/informacje o położeniu nagłówku LILO pliku z mapą bitową (patrz bmp-colors, bmp-table i bmp-timer na stronie podręcznika lilo.conf(5)).

    Gdy .roz to .dat, zakłada się, że plik ten jest plikiem konfiguracyjnym z podanymi parametrami graficznej mapy bitowej, które zamieniane są na nagłówek LILO w pliku z mapą bitową o takiej samej nazwie.

    Gdy plik .bmp będzie modyfikowany za pomocą edytora graficznego (np. GIMP-a), to nagłówek LILO zostanie utracony. Można go odzyskać używając pliku .dat, który służy za tekstową kopię zapasową informacji nagłówkowych LILO.

-f tablica-dysku
    Ustawia inny plik z parametrami geometrii dysku (domyślnym jest /etc/disktab).

-F  Unieważnia sprawdzanie sektora startowego dla systemów plików (np. swap, ext4, xfs, ...), które mogą być zniszczone przez instalację sektora startowego LILO na pierwszym sektorze partycji. Te systemy plików używają pierwszego sektora jako superbloku.

    Proszę porównać z -P ignore, które obchodzi sprawdzenie danej partycji.

-g  Generate 'cylinder/head/sector' (CHS geometric) disk addresses. Limited to cylinders up to 1023. Forces compatibility with very old versions of LILO (obsolete switch).

-H  Obchodzi zatrzymanie krytyczne, gdy macierz RAID nie posiada wszystkich aktywnych dysków.

-I etykieta [D|a|i|k|r|R]
    Etykieta jest brana z nazwy obrazu podanego w pliku konfiguracyjnym. To polecenie wyświetli odpowiadającą etykiecie nazwę pliku jądra, pliku tablicy klawiszy, początkowego pliku ramdysku, określeniu korzenia lub łańcucha "append=" (opcja "i", "k", "r", "R" lub "a"). Opcja "d" ignoruje parametr etykieta i wypisuje domyślną etykietę "image=" lub pierwszą etykietę "image=", jeśli nie podano domyślnego image.

-l  Generuje 24-bitowe liniowe adresy sektorów, zamiast adresów cylindrów/głowic/sektorów.

-L  Generuje 32-bitowe Logiczne Adresy Bloków (Logical Block Addresses - LBA), zamiast adresów cylindrów/głowic/sektorów (cylinder/head/sector - CHS). Pozwala to na dostęp do wszystkich partycji na dyskach mających więcej niż 1024 cylindry (jest to domyślna geometria).

-m plik-mapy
    Używa podanego pliku mapy zamiast domyślnego /boot/map.

-M główne-urządzenie {mbr|ext}
    Install a Master Boot Record on the device specified as master-device, selecting the Standard or Extended Master Boot Loader per option. The primary partition table on master-device is undisturbed. If no valid Volume-ID (serial number) is present, then generate one and write it to the MBR. If mbr is set, the Standard Master Boot Loader will search partitions 1-4 for an active flag, and boot the flagged partition. Only one active flag is allowed. If ext is set, the search for an active partition will include logical partitions as well. The presence of the Extended Master Boot Loader on the Master Boot Record (MBR = sector 0) of a disk affects the operation of the -A option.

-p  Wymaga interaktywnego wpisania wszystkich haseł podanych w pliku konfiguracyjnym jako "".

-P {fix|ignore|opcja-globalna}
    Naprawienie lub zignorowanie błędnych tablic partycji, tzn. tablicy partycji z niepasującymi adresami sektora/głowicy/cylindra. Najpierw należy zawsze spróbować użyć ignore gdyż fix nadpisze tablicę partycji, być może niszcząc wszystkie partycje na dysku.

    ignore jest używane także po to aby obejść sprawdzanie tablicy partycji w poszukiwaniu typów partycji, które mogą nie pozwalać na instalację sektora startowego LILO. Proszę porównać z flagą "-F", która unieważnia sprawdzanie bieżącego sektora rozruchowego.

    opcja globalna pozwala na przekazanie dowolnej opcji, która może pojawić się w sekcji globalnej (u góry) pliku konfiguracyjnego (/etc/lilo.conf). Na przykład -P nowarn przekaże opcję "nowarn", tak jakby "nowarn" pojawiło się pliku konfiguracyjnym (tak samo, jak przełącznik "-w"). Podobnie, -P timeout=50 doda lub przesłoni wiersz "timeout=" w pliku konfiguracyjnym. Proszę zauważyć, że przełącznik -P w rzeczywistości dubluje wiele przełączników wiersza polecenia. Jednak nie jest to dokładnie to samo, ponieważ niektóre przełączniki przesłaniają inne opcje, np. "-g" (-P geometric), "-L" (-P lba32).

-q  Wyświetla aktualnie mapowane pliki. lilo tworzy plik, domyślnie /boot/map, zawierający wszystkie nazwy i lokalizacje jąder startowych. Ta opcja wyświetli te nazwy. Proszę użyć wraz z opcją -v aby uzyskać bardziej szczegółową informację na temat zainstalowanych programów rozruchowych.

-r główny-katalog
    Wykonuje chroot do podanego katalogu przed podjęciem jakiegokolwiek działania. Nowy katalog główny musi zawierać katalog /dev i może potrzebować katalogu /boot. Może być także potrzebny plik /etc/lilo.conf.

-R wiersz poleceń
    Ta opcja zmienia domyślną linię poleceń dla programu rozruchowego podczas jego następnego uruchomienia. Po wykonaniu wiersz ten zostanie usunięty, ponieważ jest on tylko jednorazowy. Na ogół jest to wykorzystywane w skryptach zamykania systemu, zaraz przed wywołaniem "shutdown -r". Użyte bez żadnego argumentu anuluje zablokowaną lub przywróci linię komend.

    This Command line starts with image identifier (as shown during map file update), then space, then kernel parameters. The kernel parameters are appended to kernel command line constructed routinely. In either case, it there were parameters or not, such one-time command will be treated by loaders code, as if it is set at 'boot:' prompt. This could lead to 'password:' prompt at boot time. Be warned! Refer to lilo.conf(5) for details.

-s plik-zapisu
    Gdy lilo zapisuje nowy sektor rozruchowy zachowuje poprzednią jego zawartość w pliku o domyślnej nazwie boot/boot.NNNN, gdzie NNNN jest szesnastkowym zapisem głównego i pobocznego numeru urządzenia danego dysku/partycji.

    Ta opcja wyznacza zapasowy plik zapisu na jeden z trzech sposobów: katalog zapisu (domyślnym jest "/boot") używając domyślnej nazwy pliku "boot.NNNN" w podanym katalogu; szablon ścieżki, do którego dopisywane jest ".NNNN" (domyślnym byłby "/boot/boot"); pełna nazwa ścieżki pliku, która musi zawierać poprawny przyrostek ".NNNN". Z opcją -u konieczne jest podanie pełnej ścieżki pliku.

-S plik-zapisu
    Normalnie lilo nie nadpisze istniejącego zapisanego pliku. Ta opcja mówi, że nadpisywanie jest wymuszone. Tak jak z -s określeniem musi być katalog zapisu, szablon nazwy lub pełna ścieżka (zawierająca przyrostek ".NNNN").

-t  Test. Nic nie jest zapisywane do sektora rozruchowego sektora ani do pliku mapy. Użyte razem z opcją -v wyświetla co lilo ma zamiar robić.

-T opcja
    Wypisuje informacje systemową, z której część pochodzi z BIOS-u. Jest to wygodniejsze od uruchamiania diagnostycznej dyskietki LILO. opcja może być każdą z podanych:

       help  - wypisuje listę dostępnych diagnostyk
       ChRul - wypisuje typy partycji podlegające Zasadom-Zmian
               (Change-Rules)
       EBDA  - wypisuje informacje o Rozszerzonym Obszarze Danych
               BIOSU (Extended BIOS Data Area)
       geom=<dysk> wypisuje geometrię dysku np. geom=0x80
       geom  - wypisuje geometrię dla wszystkich dysków
       table=<dysk> wypisuje podstawową tablicę partycji;
               np. table=/dev/sda
       video - wypisuje dostępne tryby graficzne programu rozruchowego

-u [nazwa-urządzenia]
    Dezinstalacja lilo, poprzez powrotne skopiowanie zapisanego wcześniej sektora rozruchowego. Wraz z tą opcją użyte mogą być parametry -s i -C. Nazwa-urządzenia jest opcjonalna. Sprawdzany jest czas i data pliku.

-U [nazwa-urządzenia]
    Tak jak przy -u, ale bez sprawdzenia czasu i daty.

-v [numer]
    Zwiększenie poziomu komunikatów. Podanie od jednej do pięciu opcji -v sprawi, że lilo wyświetli więcej komunikatów. Numer (od 1 do 5) oznacza poziom szczegółowości.

-V  Wyświetla numer wersji.

-w[+|-]
    Jako -w lub -w- - wyłącza ostrzeżenia. Użyte jako -w+ przesłania nowarn z pliku konfiguracyjnego i pokazuje ostrzeżenia.

-x opcja
    Tylko dla instalacji RAID. Opcja może być każdym ze słów kluczowych none, auto, mbr, mbr-only, lub oddzieloną przecinkami listą dodatkowych urządzeń startowych (lista nie może zawierać spacji).

    Instalacje RAID zapisują wpis rozruchowy na partycji RAID. Warunkowe zapisywanie MBR-u może pomóc w ustawieniu RAID-a jako ładujący (bootable) podczas odzyskiwania, lecz wszystkie domyślne działania mogą zostać unieważnione. Działanie podobne do poprzedniej wersji jest osiągnięte dzięki opcji -x mbr-only.

-X  Reserved for LILO internal use. May produce different output for different LILO versions. The line beginning "CFLAGS=" will contain the compiler options used to generate this version of LILO.

-z  Gdy użyte z opcją "-M", usuwa numer seryjny urządzenia. Przeważnie opcja ta używana jest w następującej sekwencji do wygenerowania nowego numeru seryjnego urządzenia:

         lilo -z -M /dev/sda
         lilo -M /dev/sda

-Z opcja
    Tells the boot installer whether special precautions need to be taken because the BIOS fails to pass the correct device code in DL (-Z0). Or may specify that the BIOS always gets DL right (-Z1). Corresponds to, and overrides, the configuration file option 'bios-passes-dl='.

KONFIGURACJA
Powyższe opcje linii poleceń odpowiadają podanym poniżej słowom kluczowym w pliku konfiguracyjnym.

 -b bootdev boot=bootdev   -B file.bmp bitmap=file.bmp  -c compact
 -d dsec delay=dsec  -D label default=label  -f file disktab=file
-g geometric  -l linear  -L lba32  -m mapfile map=mapfile  -P fix
fix-table  -P ignore ignore-table  -s file backup=file  -S file
force-backup=file  -v [N] verbose=N  -w nowarn  -x option
raid-extra-boot=option  -Z option bios-passes-dl=option

OPCJE ROZRUCHOWE
The options described here may be specified at boot time on the command line when a kernel image is booted. These options are processed by LILO, and are removed from the command line before it is passed to the kernel, unless otherwise noted.

lock
    Blokuje linię komend, tak jakby "lock" było podane w pliku /etc/lilo.conf.

mem=###[,K,M,G]
    Ustala maksymalną ilość pamięci w systemie w bajtach, kilobajtach, megabajtach lub gigabajtach. Ta opcja nie jest usuwana z linii komend i jest zawsze przekazywana do jądra.

nobd
    Wyłącza pobieranie danych z BIOS-u. Opcja ta jest zarezerwowana do użytku z BIOS-ami niekompatybilnymi z IBM, które zawieszają się na liniach:

         Loading...............
         BIOS data check

vga=[ASK,EXT,EXTENDED,NORMAL,###,0x###]
    Pozwala unieważnić domyślny tryb wideo podczas startu jądra.

BŁĘDY ŁADOWANIA SYSTEMU
The boot process takes place in two stages. The first stage loader is a single sector, and is loaded by the BIOS or by the loader in the MBR. It loads the multi-sector second stage loader, but is very space limited. When the first stage loader gets control, it types the letter 'L'; when it is ready to transfer control to the second stage loader it types the letter 'I'. If any error occurs, like a disk read error, it will put out a hexadecimal error code and then re-try the operation. All hex error codes are BIOS return values, except for the lilo-generated codes: 40, 99 and 9A. A partial list of error codes follows:

  00 no error (brak błędu)
  01 invalid disk command (nieprawidłowe polecenie dysku)
  02 address mark not found (nie znaleziono znacznika adresu)
  03 disk write-protected (dysk zabezpieczony przed zapisem
  04 sector not found (nie znaleziono sektora)
  06 floppy disk removed (wysunięto dyskietkę)
  08 DMA overrun (przepełnienie DMA)
  0A bad sector flag (błędna flaga sektora)
  0B bad track flag (błędna flaga ścieżki)
  20 controller failure (błąd kontrolera)
  40 seek failure (BIOS) (błąd wyszukiwania)
  40 cylinder>1023 (LILO)
  99 invalid second stage index sector (LILO) (nieprawidłowy indeks
sektora drugiej fazy LILO)
  9A no second stage loader signature (LILO) (brak sygnatury drugiej fazy
LILO)
  AA drive not ready (dysk nie jest gotowy)
  FF sense operation failed

Error code 40 is generated by the BIOS, or by LILO during the conversion of a linear (24-bit) disk address to a geometric (C:H:S) address. On older systems which do not support lba32 (32-bit) addressing, this error may also be generated. Errors 99 and 9A usually mean the map file ('-m' or 'map=') is not readable, likely because LILO was not re-run after some system change, or there is a geometry mismatch between what LILO used (lilo -v3 to display) and what is actually being used by the BIOS (one of the lilo diagnostic disks, available in the source distribution, may be needed to diagnose this problem).

When the second stage loader has received control from the first stage, it prints the letter 'L', and when it has initialized itself, including verifying the "Descriptor Table" - the list of kernels/others to boot - it will print the letter "O", to form the full word "LILO", in uppercase.

Wszystkie błędy programu ładującego drugiego stopnia są wiadomościami w języku angielskim i próbują wskazać, mniej lub bardziej udanie, istotę błędu.

BŁĘDY
Opcje pliku konfiguracyjnego "backup" i "force-backup" powinny określać katalog zapasowy lub szablon ścieżki pliku zapasowego na wszystkich instalacjach RAID. Użycie jawnej nazwy pliku może nie pozwolić na poprawne utworzenie wielu plików zapasowych. Najlepiej jest używać mechanizmu domyślnego, ponieważ działa on poprawnie we wszystkich przypadkach.

PRAWA AUTORSKIE
 Copyright (C) 1992-1998 Werner Almesberger  Copyright (C) 1999-2007
John Coffman  Copyright (C) 2009-2014 Joachim Wiedorn

Dystrybucja i użycie w postaci binarnej i źródłowej z (lub bez) modyfikacjami jest dozwolone na zasadach licencji BSD dołączonej w pliku COPYING.

AUTOR
lilo napisali:

 Werner Almesberger (wersje: 0-21),  John Coffman (wersje: 21.2-22.8),
 Joachim Wiedorn (od wersji 23.0).

This manual page was written by Werner Almesberger and Joachim Wiedorn <joodevel at joonet.de>.

ZOBACZ TAKŻE
lilo.conf(5), liloconfig(8), lilo-uuid-diskid(8), mkrescue(8), fdisk(8), mkinitrd(8)

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Adam Byrtek <alpha@irc.pl>, Grzegorz Goławski <grzegol@pld.org.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.